---
title: GlobalEventHandlers.onpointercancel
slug: Web/API/GlobalEventHandlers/onpointercancel
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - PointerEvent
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>onpointercancel</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("pointercancel")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>targetElement</var>.onpointercancel = <var>cancelHandler</var>;

var <var>cancelHandler</var> = <var>targetElement</var>.onpointercancel;
</pre>

<h3 id="Value">Value</h3>

<dl>
 <dt><code>cancelHandler</code></dt>
 <dd>The <code>pointercancel</code> event handler for element <code>targetElement</code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows two ways to use <code>onpointercancel</code> to handle an element's <code>pointercancel</code> events.</p>

<pre class="brush: js notranslate">&lt;html&gt;
&lt;script&gt;
function cancelHandler(ev) {
  // Process the pointercancel event
}
function init() {
  var el = document.getElementById('target1');
  el.onpointercancel = cancelHandler;
}
&lt;/script&gt;

&lt;body onload="init();"&gt;
  &lt;div id="target1"&gt; Touch me ... &lt;/div&gt;
  &lt;div id="target2" onpointercancel="cancelHandler(event)"&gt; Touch me ... &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-globaleventhandlers-onpointercancel', 'onpointercancel')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-GlobalEventHandlers-onpointercancel', 'onpointercancel')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onpointercancel")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/Document/pointercancel_event">Document: pointercancel</a></code> event</li>
 <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointercancel_event">HTMLElement: pointercancel</a></code> event</li>
</ul>
